<?php
/**
 *
 * @license        GNU/GPL, see LICENSE.php

 */
use Joomla\CMS\Factory;
class modVoirAussiHelper
{
    public static function getList( $params )
    {
		$app       = Factory::getApplication();
	// article en cours d'affichage
		$article = JModelLegacy::getInstance('Article', 'ContentModel', array('ignore_request' => true));
		$article->setState('params', $params);
		$article->setState('filter.published', 1);
		$item = $article->getItem(JRequest::getInt('id'));		
	// articles de la categorie de l'article en cours (y compris l'article)
		$articles = JModelLegacy::getInstance('Articles', 'ContentModel', array('ignore_request' => true));
		$articles->setState('params', $params);
		$order = $params->get("page_order","a.ordering");
		if (strpos($order,'ASC') !== false)  { 
			$articles->setState('list.direction','ASC');
			$order = substr($order,0,strlen($order) - 3);
		}
		if (strpos($order,'DESC') !== false)  { 
			$articles->setState('list.direction','DESC');
			$order = substr($order,0,strlen($order) - 4);
		}
		$articles->setState('list.ordering',$order);
		$articles->setState('filter.published', 1);
		$articles->setState('filter.category_id', $item->catid);
		$articles->setState('filter.language', $app->getLanguageFilter()); // langue en cours
		
		$items = $articles->getItems();		
		return $items;	
    }
	
	
	
}











?>